<div class="container ">
  <div class="mt-2">
    <mat-card>
      <mat-card-content>
        <div class="row">
          <div class="col-md-12">
            <div class="d-flex justify-content-between">
              <div>
                <h4>Datos del Pacientes</h4>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <mat-form-field class="col-md-2">
            <mat-label>Tipo Documento</mat-label>
            <mat-select required [(ngModel)]="selectedTipoDocumento" name="tipoDocumento">
              <mat-option *ngFor="let tipoDocumento of tiposDocumento" [value]="tipoDocumento.id">
                {{ tipoDocumento.descripcion }}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="!selectedTipoDocumento">Tipo Doc. es requerido.</mat-error>
          </mat-form-field>

          <mat-form-field class="col-md-2" appearance="fill">
            <mat-label>Nro Documento</mat-label>
            <input matInput placeholder="Nro Documento" required [(ngModel)]="numeroDocumento" name="numeroDocumento" type="number" maxlength="8">
            <mat-error *ngIf="!numeroDocumento">Nro. Doc. es requerido.</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-2">
            <mat-label>Apellido Paterno</mat-label>
            <input matInput placeholder="Apellido Paterno" [(ngModel)]="apellidoPaterno">
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-2">
            <mat-label>Apellido Materno</mat-label>
            <input matInput placeholder="Apellido Materno" [(ngModel)]="apellidoMaterno">
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-4">
            <mat-label>Nombres</mat-label>
            <input matInput placeholder="Nombres" [(ngModel)]="nombres">
          </mat-form-field>
        </div>
        <div class="row">
          <mat-form-field class="col-md-2">
            <mat-label>Sexo</mat-label>
            <mat-select required [(ngModel)]="selectedSexo" name="sexo">
              <mat-option *ngFor="let sexo of sexoList" [value]="sexo.idSexo">
                {{ sexo.descripcionSexo }}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field class="col-md-3">
            <mat-label>Fecha de Nacimiento</mat-label>
            <input matInput [matDatepicker]="picker" [(ngModel)]="fechaNacimiento" (ngModelChange)="calcularEdad()">
            <mat-hint>DD/MM/YYYY</mat-hint>
            <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-2">
            <mat-label>Edad</mat-label>
            <input matInput placeholder="edad" [(ngModel)]="edad">
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-5">
            <mat-label>Lugar Nacimiento</mat-label>
            <input matInput placeholder="lugarnacimiento" [(ngModel)]="lugarNacimiento">
          </mat-form-field>
        </div>
        <div class="row">
          <mat-form-field appearance="fill" class="col-md-6">
            <mat-label>Dirección</mat-label>
            <input matInput placeholder="lugarnacimiento" [(ngModel)]="direccion">
          </mat-form-field>
          <mat-form-field class="col-md-2">
            <mat-label>Departamento</mat-label>
            <mat-select required name="departamento" [(ngModel)]="departamentoSeleccionado" (selectionChange)="listarProvinciasPorDepartamento(departamentoSeleccionado)">
              <mat-option *ngFor="let departamento of departamentos" [value]="departamento">{{ departamento }}</mat-option>
            </mat-select>
          </mat-form-field>

          <mat-form-field class="col-md-2">
            <mat-label>Provincia</mat-label>
            <mat-select required name="provincia" [(ngModel)]="provinciaSeleccionada" (selectionChange)="listarUbigeoPorProvinciaDistrito(provinciaSeleccionada)">
              <mat-option *ngFor="let provincia of provincias" [value]="provincia">{{ provincia }}</mat-option>
            </mat-select>
          </mat-form-field>

          <mat-form-field class="col-md-2">
            <mat-label>Distrito</mat-label>
            <mat-select required name="distrito" [(ngModel)]="distritoSeleccionado">
              <mat-option *ngFor="let distrito of distritos" [value]="distrito.codigoUbigeo">{{ distrito.descripcionDistrito }}</mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </mat-card-content>
    </mat-card>
    <mat-card class="mt-3">
      <mat-card-content>
        <div class="row">
          <div class="col-md-12">
            <div class="d-flex justify-content-between">
              <div><h4>Datos del Acompañante</h4> </div>
            </div>
          </div>
        </div>
        <div class="row">
          <mat-form-field class="col-md-2">
            <mat-label>Tipo Documento</mat-label>
            <mat-select required [(ngModel)]="selectedTipoDocumentoP" name="tipoDocumentoP">
              <mat-option *ngFor="let tipoDocumento of tiposDocumentoP" [value]="tipoDocumento.id">
                {{ tipoDocumento.descripcion }}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="!selectedTipoDocumentoP">Tipo Doc. es requerido.</mat-error>
          </mat-form-field>

          <mat-form-field class="col-md-2" appearance="fill">
            <mat-label>Nro Documento</mat-label>
            <input matInput placeholder="Nro Documento" required [(ngModel)]="numeroDocumentoP" name="numeroDocumentoP" type="number" maxlength="8">
            <mat-error *ngIf="!numeroDocumentoP">Nro. Doc. es requerido.</mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-2">
            <mat-label>Apellido Paterno</mat-label>
            <input [(ngModel)]="apellidoPaternoA" matInput placeholder="Apellido Paterno">
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-2">
            <mat-label>Apellido Materno</mat-label>
            <input matInput placeholder="Apellido Materno" [(ngModel)]="apellidoMaternoA">
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-4">
            <mat-label>Nombres</mat-label>
            <input matInput placeholder="Nombres" [(ngModel)]="nombresA">
          </mat-form-field>
        </div>
        <div class="row">
          <mat-form-field class="col-md-3">
            <mat-label>Fecha de Nacimiento</mat-label>
            <input matInput [matDatepicker]="picker2" [(ngModel)]="fechaNacimientoA" (ngModelChange)="calcularEdadA()">
            <mat-hint>DD/MM/YYYY</mat-hint>
            <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
            <mat-datepicker #picker2></mat-datepicker>
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-2">
            <mat-label>Edad</mat-label>
            <input matInput placeholder="Edad" [(ngModel)]="edadA">
          </mat-form-field>

          <mat-form-field class="col-md-2">
            <mat-label>Parentesco</mat-label>
            <mat-select required [(ngModel)]="selectedParentesco" name="parentesco">
              <mat-option *ngFor="let parentesco of parentescoList" [value]="parentesco.idParentesco">
                {{ parentesco.noParentesco }}
              </mat-option>
            </mat-select>
          </mat-form-field>

          <mat-form-field appearance="fill" class="col-md-5">
            <mat-label>Telefono Contacto</mat-label>
            <input matInput placeholder="Telefono" [(ngModel)]="telefonoContacto">
          </mat-form-field>
        </div>
        <div class="row">
          <mat-form-field appearance="fill" class="col-md-6">
            <mat-label>Dirección</mat-label>
            <input matInput placeholder="Dirección" [(ngModel)]="direccionA">
          </mat-form-field>
          <mat-form-field class="col-md-2">
            <mat-label>Departamento</mat-label>
            <mat-select required name="departamentoA" [(ngModel)]="departamentoSeleccionadoA" (selectionChange)="listarProvinciasPorDepartamentoA(departamentoSeleccionadoA)">
              <mat-option *ngFor="let departamentoA of departamentosA" [value]="departamentoA">{{ departamentoA }}</mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field class="col-md-2">
            <mat-label>Provincia</mat-label>
            <mat-select required name="provinciaA" [(ngModel)]="provinciaSeleccionadaA" (selectionChange)="listarUbigeoPorProvinciaDistritoA(provinciaSeleccionadaA)">
              <mat-option *ngFor="let provinciaA of provinciasA" [value]="provinciaA">{{ provinciaA }}</mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field class="col-md-2">
            <mat-label>Distrito</mat-label>
            <mat-select required name="distritoA" [(ngModel)]="distritoSeleccionadoA">
              <mat-option *ngFor="let distritoA of distritosA" [value]="distritoA.codigoUbigeo">{{ distritoA.descripcionDistrito }}</mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </mat-card-content>
    </mat-card>

  <div class="row mt-2">
    <div class="col-md-12">
      <div class="d-flex justify-content-end">
        <button mat-raised-button color="primary" (click)="guardarDatos()">Guardar</button>
        <button mat-raised-button color="warn" class="ms-2" routerLink="/ListarPaciente">Cancelar</button>
      </div>
    </div>

  </div>
</div>
</div>
